{# @var craft \craft\web\twig\variables\CraftVariable #}
{#
/**
 * tickit plugin for Craft CMS 3.x
 *
 * tickit SettingsService.twig
 *
 * @author    Bogdan Nicorici @ TeamExtension
 * @copyright Copyright (c) 2018 Bogdan Nicorici @ TeamExtension
 * @link      http://teamextension.ro
 * @package   Tickit
 * @since     1.0.0
 */
#}

{% import "_includes/forms" as forms %}

{% do view.registerAssetBundle("teamextension\\tickit\\assetbundles\\tickit\\TickitAsset") %}

{{ forms.elementSelect({
    label: 'Default Status',
    instructions: 'Enter some setting here.',
    id: 'someAttribute',
    name: 'someAttribute',
    value: settings['defaultStatus'],
    elementType: 'craft\\elements\\Entry'
    })
}}

{#{{ forms.elementSelect({#}
    {#label: 'Default PriorityRecord',#}
    {#instructions: 'Enter some setting here.',#}
    {#id: 'someAttribute',#}
    {#name: 'someAttribute',#}
    {#value: settings['someAttribute']})#}
{#}}#}

{#{{ forms.textField({#}
    {#label: 'Default PriorityRecord',#}
    {#instructions: 'Enter some setting here.',#}
    {#id: 'someAttribute',#}
    {#name: 'someAttribute',#}
    {#value: settings['someAttribute']})#}
{#}}#}
